> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/input-types/data-source-sync-schedule-input.md).

# DataSourceSyncScheduleInput

Input object to set the sync scheduling for a data source.

```graphql
input DataSourceSyncScheduleInput {
  accessFromTargetSync: String
  accessToTargetSync: String
  dataObjectSync: String
  global: String
  identitySync: String
}
```

### Fields

#### accessFromTargetSync ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#access-from-target-sync" id="access-from-target-sync"></a>

If set, this overrides the global cron expression for the access control from target sync specifically. Null will not update the global cron expression. Empty string will remove the global cron expression.

#### accessToTargetSync ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#access-to-target-sync" id="access-to-target-sync"></a>

If set, this overrides the global cron expression for the access control to target sync specifically. Null will not update the global cron expression. Empty string will remove the global cron expression.

#### dataObjectSync ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#data-object-sync" id="data-object-sync"></a>

If set, this overrides the global cron expression for the data object sync specifically. Null will not update the global cron expression. Empty string will remove the global cron expression.

#### global ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#global" id="global"></a>

The cron expression for the global synchronization. Null will not update the global cron expression. Empty string will remove the global cron expression.

#### identitySync ● [`String`](/api/graphql/data-access/scalars/string.md) scalar <a href="#identity-sync" id="identity-sync"></a>

If set, this overrides the global cron expression for the identity sync specifically. Null will not update the global cron expression. Empty string will remove the global cron expression.

### Member Of

[`DataSourceInput`](/api/graphql/data-access/input-types/data-source-input.md) input


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/input-types/data-source-sync-schedule-input.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
